Order entry
Cancel orders (batch)
Cancel up to 100 of your orders by id in one call, in the order given, each with its own result. Never rate limited.
DELETE
/
portfolio
/
orders
/
batch
Cancel orders (batch)
curl --request DELETE \
--url https://api.updown.fast/trade-api/v1/portfolio/orders/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"order_ids": [
"<string>"
]
}
'import requests
url = "https://api.updown.fast/trade-api/v1/portfolio/orders/batch"
payload = { "order_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({order_ids: ['<string>']})
};
fetch('https://api.updown.fast/trade-api/v1/portfolio/orders/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"order_id": "<string>",
"order": {
"order_id": "<string>",
"client_order_id": "<string>",
"market_ticker": "<string>",
"outcome": "up",
"action": "buy",
"price": "<string>",
"time_in_force": "good_till_canceled",
"post_only": true,
"status": "resting",
"count": "<string>",
"fill_count": "<string>",
"remaining_count": "<string>",
"created_ts_ms": 4503599627370495,
"average_fill_price": "<string>",
"fees_paid": "<string>"
},
"error": {
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}
}
]
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}Authorizations
Body
application/json
⌘I
Cancel orders (batch)
curl --request DELETE \
--url https://api.updown.fast/trade-api/v1/portfolio/orders/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"order_ids": [
"<string>"
]
}
'import requests
url = "https://api.updown.fast/trade-api/v1/portfolio/orders/batch"
payload = { "order_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({order_ids: ['<string>']})
};
fetch('https://api.updown.fast/trade-api/v1/portfolio/orders/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"order_id": "<string>",
"order": {
"order_id": "<string>",
"client_order_id": "<string>",
"market_ticker": "<string>",
"outcome": "up",
"action": "buy",
"price": "<string>",
"time_in_force": "good_till_canceled",
"post_only": true,
"status": "resting",
"count": "<string>",
"fill_count": "<string>",
"remaining_count": "<string>",
"created_ts_ms": 4503599627370495,
"average_fill_price": "<string>",
"fees_paid": "<string>"
},
"error": {
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}
}
]
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}